SDK 4.0 error

SDK 4.0 error

Hi,

I get the following error with AMT SDK 4.0. I am running C++ Windows sample SecurityAdministrationprovided along with SDK.

Error1fatal error LNK1104: cannot open file 'StatusStringsD.lib'SecurityAdministration
Any suggestions? I dont find this file along with SDK.

Thanks a lot.

3 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

ThirdParty, Include, Lib, Src and Samples should be in the same structure as in the
Intel AMT SDK.

the Microsoft Windows Server 2003 SP1 Platform
SDK* or later is required.

Hi. You are compiling in Debug mode, and according to the sample's VS project, it tries to link with the debug version of the StatusString library. This does not exist in the SDK. (Only the version compiled for Releaseis in the SDK.There are good reasons for this, write me off-line if you really want to know .)

You have two options:

1. Compile the StatusStrings library in Debug mode. (This is probably the best thing to do; you should only have to do it once.)

2. Change the sample's configuration setting to link with the StatusStrings.libversion. However, if you do this, youwon't be able to debug the StatusStrings library.

Hope this helps!

Aharon Robbins - Intel AMT SDK Group

Leave a Comment

Please sign in to add a comment. Not a member? Join today